odoo.define('product_library.screens', function (require) {
    "use strict";

    var ProductScreen = require('point_of_sale.ProductScreen');
    var Registries = require('point_of_sale.Registries');

    const LibraryProductScreen = (ProductScreen) =>
        class extends ProductScreen {
            _searchProduct(event) {
                const query = event.target.value.trim().toLowerCase();
                if (query) {
                    const products = this.env.pos.db.get_product_by_category(0).filter(product => {
                        return product.display_name.toLowerCase().includes(query) ||
                               product.autor.toLowerCase().includes(query) ||
                               product.editorial.toLowerCase().includes(query);
                    });
                    this.env.pos.db.add_products(products);
                } else {
                    this.env.pos.db.add_products(this.env.pos.db.get_product_by_category(0));
                }
                this.render();
            }

            mounted() {
                super.mounted();
                this.el.querySelector('.searchbox input').addEventListener('input', this._searchProduct.bind(this));
            }
        };

    Registries.Component.extend(ProductScreen, LibraryProductScreen);

    return LibraryProductScreen;
});